Update Location
Path Parameters
- Type: string · Location Id
location _id required
Headers
- enum
Accept const:application/jsonrequiredResponse format. Must be
application/json.valuesapplication/json
- enum
Content - Type const:application/jsonrequiredRequest payload format. Must be
application/jsonwhen a body is sent.valuesapplication/json
Body
required
application/json
- Type: object · Address nullable
address - Type: string | null · Country Code
country _code - Type: string | null · Currency
currency - Type: string | null · Email
email - Type: object | null · Metadata
metadata - Type: string | null · Name
name - Type: string | null · Phone
phone - Type: string | null · Processor Config Id
processor _config _id - Type: string | null · Status
status - Type: number | null · Surcharge Rate
surcharge _rate Surcharge percentage (e.g., 3.5 for 3.5%). Setting to null disables automatic surcharge logic. Setting to 0 means surcharges will NEVER be applied unless explicitly overridden.
- Type: string | null · Terminal Id
terminal _id
Responses
- application/json
- application/json
Request Example for put/v1/locations/{location_id}
curl 'https://api.uat.koard.com/v1/locations/{location_id}' \
--request PUT \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'x-koard-apikey: YOUR_SECRET_TOKEN' \
--data '{
"address": {
"city": "",
"state": "",
"street_line1": "",
"street_line2": "",
"zip": ""
},
"country_code": null,
"currency": null,
"email": null,
"metadata": null,
"name": null,
"phone": null,
"processor_config_id": null,
"status": null,
"surcharge_rate": null,
"terminal_id": null
}'
{
"account_id": "string",
"address": {
"city": "string",
"state": "string",
"street_line1": "string",
"street_line2": "",
"zip": "string"
},
"country_code": null,
"created_at": null,
"currency": null,
"deleted_at": null,
"email": null,
"id": "string",
"metadata": null,
"name": "string",
"phone": null,
"processor_config_id": null,
"status": "active",
"surcharge_rate": null,
"terminal_id": null,
"updated_at": null
}
